package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * PurchaseOrders generated by hbm2java
 */
@Entity
@Table(name="purchase_orders"
    ,catalog="northwind"
)
public class PurchaseOrders  implements java.io.Serializable {


     private Integer id;
     private Employees employees;
     private Suppliers suppliers;
     private PurchaseOrderStatus purchaseOrderStatus;
     private Date submittedDate;
     private Date creationDate;
     private Date expectedDate;
     private BigDecimal shippingFee;
     private BigDecimal taxes;
     private Date paymentDate;
     private BigDecimal paymentAmount;
     private String paymentMethod;
     private String notes;
     private Integer approvedBy;
     private Date approvedDate;
     private Integer submittedBy;
     private Set<PurchaseOrderDetails> purchaseOrderDetailses = new HashSet<PurchaseOrderDetails>(0);
     private Set<InventoryTransactions> inventoryTransactionses = new HashSet<InventoryTransactions>(0);

    public PurchaseOrders() {
    }

	
    public PurchaseOrders(Date creationDate, BigDecimal shippingFee, BigDecimal taxes) {
        this.creationDate = creationDate;
        this.shippingFee = shippingFee;
        this.taxes = taxes;
    }
    public PurchaseOrders(Employees employees, Suppliers suppliers, PurchaseOrderStatus purchaseOrderStatus, Date submittedDate, Date creationDate, Date expectedDate, BigDecimal shippingFee, BigDecimal taxes, Date paymentDate, BigDecimal paymentAmount, String paymentMethod, String notes, Integer approvedBy, Date approvedDate, Integer submittedBy, Set<PurchaseOrderDetails> purchaseOrderDetailses, Set<InventoryTransactions> inventoryTransactionses) {
       this.employees = employees;
       this.suppliers = suppliers;
       this.purchaseOrderStatus = purchaseOrderStatus;
       this.submittedDate = submittedDate;
       this.creationDate = creationDate;
       this.expectedDate = expectedDate;
       this.shippingFee = shippingFee;
       this.taxes = taxes;
       this.paymentDate = paymentDate;
       this.paymentAmount = paymentAmount;
       this.paymentMethod = paymentMethod;
       this.notes = notes;
       this.approvedBy = approvedBy;
       this.approvedDate = approvedDate;
       this.submittedBy = submittedBy;
       this.purchaseOrderDetailses = purchaseOrderDetailses;
       this.inventoryTransactionses = inventoryTransactionses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="created_by")
    public Employees getEmployees() {
        return this.employees;
    }
    
    public void setEmployees(Employees employees) {
        this.employees = employees;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="supplier_id")
    public Suppliers getSuppliers() {
        return this.suppliers;
    }
    
    public void setSuppliers(Suppliers suppliers) {
        this.suppliers = suppliers;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="status_id")
    public PurchaseOrderStatus getPurchaseOrderStatus() {
        return this.purchaseOrderStatus;
    }
    
    public void setPurchaseOrderStatus(PurchaseOrderStatus purchaseOrderStatus) {
        this.purchaseOrderStatus = purchaseOrderStatus;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="submitted_date", length=19)
    public Date getSubmittedDate() {
        return this.submittedDate;
    }
    
    public void setSubmittedDate(Date submittedDate) {
        this.submittedDate = submittedDate;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="creation_date", nullable=false, length=19)
    public Date getCreationDate() {
        return this.creationDate;
    }
    
    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="expected_date", length=19)
    public Date getExpectedDate() {
        return this.expectedDate;
    }
    
    public void setExpectedDate(Date expectedDate) {
        this.expectedDate = expectedDate;
    }
    
    @Column(name="shipping_fee", nullable=false, scale=4)
    public BigDecimal getShippingFee() {
        return this.shippingFee;
    }
    
    public void setShippingFee(BigDecimal shippingFee) {
        this.shippingFee = shippingFee;
    }
    
    @Column(name="taxes", nullable=false, scale=4)
    public BigDecimal getTaxes() {
        return this.taxes;
    }
    
    public void setTaxes(BigDecimal taxes) {
        this.taxes = taxes;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="payment_date", length=19)
    public Date getPaymentDate() {
        return this.paymentDate;
    }
    
    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }
    
    @Column(name="payment_amount", scale=4)
    public BigDecimal getPaymentAmount() {
        return this.paymentAmount;
    }
    
    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }
    
    @Column(name="payment_method", length=50)
    public String getPaymentMethod() {
        return this.paymentMethod;
    }
    
    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }
    
    @Column(name="notes")
    public String getNotes() {
        return this.notes;
    }
    
    public void setNotes(String notes) {
        this.notes = notes;
    }
    
    @Column(name="approved_by")
    public Integer getApprovedBy() {
        return this.approvedBy;
    }
    
    public void setApprovedBy(Integer approvedBy) {
        this.approvedBy = approvedBy;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="approved_date", length=19)
    public Date getApprovedDate() {
        return this.approvedDate;
    }
    
    public void setApprovedDate(Date approvedDate) {
        this.approvedDate = approvedDate;
    }
    
    @Column(name="submitted_by")
    public Integer getSubmittedBy() {
        return this.submittedBy;
    }
    
    public void setSubmittedBy(Integer submittedBy) {
        this.submittedBy = submittedBy;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="purchaseOrders")
    public Set<PurchaseOrderDetails> getPurchaseOrderDetailses() {
        return this.purchaseOrderDetailses;
    }
    
    public void setPurchaseOrderDetailses(Set<PurchaseOrderDetails> purchaseOrderDetailses) {
        this.purchaseOrderDetailses = purchaseOrderDetailses;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="purchaseOrders")
    public Set<InventoryTransactions> getInventoryTransactionses() {
        return this.inventoryTransactionses;
    }
    
    public void setInventoryTransactionses(Set<InventoryTransactions> inventoryTransactionses) {
        this.inventoryTransactionses = inventoryTransactionses;
    }




}


